services:
  landing-server:
    image: git.leonmorival.xyz/leonm/landing-server:latest
    container_name: landing-server
    restart: unless-stopped

    env_file:
      - .env

    expose:
      - "3000"

    healthcheck:
      test: ["CMD-SHELL", "wget -q --spider http://127.0.0.1:3000/ || exit 1"]
      interval: 30s
      timeout: 5s
      retries: 3
      start_period: 20s

    networks:
      - proxy

networks:
  proxy:
    external: true
    name: proxy
